# Update

Launch stage: GA

`PATCH /api/2.1/unity-catalog/entity-tag-assignments/{tag_assignment.entity_type}/{tag_assignment.entity_name}/tags/{tag_assignment.tag_key}`

Updates an existing tag assignment for an Unity Catalog entity.

 To update tags to Unity Catalog entities, you must own the entity or have the following privileges:
 - **APPLY TAG** on the entity
 - **USE SCHEMA** on the entity's parent schema
 - **USE CATALOG** on the entity's parent catalog

 To update a governed tag to Unity Catalog entities, you must also have the **ASSIGN** or **MANAGE** permission on the tag policy. See [Manage tag policy permissions](https://docs.databricks.com/aws/en/admin/tag-policies/manage-permissions).

API scopes: unity-catalog

## Path parameters

- `tag_assignment` (object, optional)
  - `entity_name` (string, optional)
    The fully qualified name of the entity to which the tag is assigned
  - `tag_key` (string, optional)
    The key of the tag
  - `tag_value` (string, optional)
    The value of the tag
  - `entity_type` (string, optional)
    The type of the entity to which the tag is assigned.
  - `update_time` (string, optional)
    The timestamp when the tag assignment was last updated
  - `updated_by` (string, optional)
    The user or principal who updated the tag assignment
  - `source_type` (string, optional)
    The source type of the tag assignment, e.g., user-assigned or system-assigned
    Possible values: `TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED`, `TAG_ASSIGNMENT_SOURCE_TYPE_SYSTEM_DATA_CLASSIFICATION`

## Query parameters

- `update_mask` (string, optional)

## Returns

Returns the EntityTagAssignment object.

## Request

```json
{
  "entity_name": "main.default.customer_data",
  "entity_type": "tables",
  "tag_key": "Severity",
  "tag_value": "medium"
}
```

## Response

```json
{
  "entity_name": "main.default.customer_data",
  "entity_type": "tables",
  "source_type": "TAG_ASSIGNMENT_SOURCE_TYPE_UNSPECIFIED",
  "tag_key": "Severity",
  "tag_value": "medium",
  "update_time": "2026-01-15T11:45:00.000Z",
  "updated_by": "user@example.com"
}
```

